hxt-relaxng-9.1.5.5: The HXT RelaxNG validator

Copyright | Copyright (C) 2005-2010 Uwe Schmidt
License | MIT
Maintainer | Uwe Schmidt (uwe@fh-wedel.de)
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Text.XML.HXT.RelaxNG.XMLSchema.DataTypeLibW3C

Description

Datatype library for the W3C XML schema datatypes

Synopsis

- module Text.XML.HXT.XMLSchema.DataTypeLibW3CNames
- w3cDatatypeLib :: DatatypeLibrary

# Documentation

module Text.XML.HXT.XMLSchema.DataTypeLibW3CNames

w3cDatatypeLib :: DatatypeLibrary #

The main entry point to the W3C XML schema datatype library.

The `DTC` constructor exports the list of supported datatypes and params. It also exports the specialized functions to validate a XML instance value with respect to a datatype.